accounts/urls.py
from django.urls import path
from .views import register
from django.contrib.auth import views as auth_views

app_name = "accounts"

urlpatterns = [
    # path('login/', login, name="login"),
    path('login/', auth_views.LoginView.as_view(
        template_name="accounts/login.html", redirect_authenticated_user=True),
        name="login"),
    path('register/', register, name="register"),
    path('logout/', auth_views.LogoutView.as_view(
        template_name="accounts/logout.html"), name='logout'),
    # path('', dummy, name="dummy"),
]

competition_master/urls.py
from django.contrib import admin
from django.urls import path, include
# from home.views import landingpage
from django.conf.urls import url

urlpatterns = [
    path('', include('home.urls')),
    path('accounts/', include('accounts.urls', namespace="accounts")),
    path('games/', include('game.urls', namespace="games")),
    path('quiz/', include('quiz.urls', namespace="quiz")),
    # path('accounts/', include('django.contrib.auth.urls')),
    path('admin/', admin.site.urls),
    url(r'^oauth/', include('social_django.urls', namespace='social')),
]

game/urls.py
from django.urls import path
from .views import Games, GameDetailView

app_name = "games"

urlpatterns = [
    path('', Games.as_view(), name="games_list"),
    path('<str:slug>/', GameDetailView.as_view(), name="game_detail"),
]

accounts/models.py
# from django.db import models

accounts/forms.py
from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm


class UserRegisterForm(UserCreationForm):
    email = forms.EmailField()

    class Meta:
        model = User
        fields = ("username", "email", "password1", "password2")

    def __init__(self, *args, **kwargs):
        super(UserRegisterForm, self).__init__(*args, **kwargs)

        # To hide the hint/help text
        # for fieldname in ['username', 'password1', 'password2']:
        for fieldname in self.fields:
            self.fields[fieldname].help_text = None

accounts/views.py
from django.shortcuts import render, redirect
from django.contrib import messages
from .forms import UserRegisterForm


def register(request):
    if request.user.is_anonymous:
        if request.method == "POST":
            form = UserRegisterForm(request.POST)
            if form.is_valid():
                form.save()
                username = form.cleaned_data.get("username")
                messages.success(request, f'Account created for {username}! \
                                You can now login')
                return redirect("accounts:login")
                # return render(request, "accounts/login.html")
            # else:
            #     messages.error(request, form.error_messages)
        else:
            form = UserRegisterForm()

        return render(request, "accounts/register.html", {'form': form})

    else:
        # return render(request, "accounts/login.html")
        return redirect("home:index")

# def login(request):
    # return HttpResponse("Login")
    # return render(request, "accounts/login.html")


# def dummy(request):
#     return HttpResponse("Howdy!")

accounts/templates/accounts/login.html
{% extends "base.html"%}
{% load staticfiles %}
{% block css-content%}
<link href="{% static 'accounts/login.css' %}" rel="stylesheet">
{% endblock %}

{% block content%}
<div class="login-form">
    <form method="post">
        {% csrf_token %}
        <h2 class="text-center">Sign in</h2>
        <div class="text-center social-btn">
            <a href="{% url 'social:begin' 'github' %}" class="btn btn-secondary btn-block"><i class="fa fa-github"></i>
                Sign in with <b>Github</b></a>
            <a href="{% url 'social:begin' 'facebook' %}" class="btn btn-primary btn-block"><i
                    class="fa fa-facebook"></i> Sign in with <b>Facebook</b></a>
            <!-- <a href="#" class="btn btn-info btn-block"><i class="fa fa-twitter"></i> Sign in with <b>Twitter</b></a> -->
            <a href="{% url 'social:begin' 'google-oauth2' %}" class="btn btn-danger btn-block"><i
                    class="fa fa-google"></i> Sign in with <b>Google</b></a>
        </div>
        <div class="or-seperator"><i>or</i></div>
        <div class="form-group">
            <div class="input-group">
                <span class="input-group-addon"><i class="fa fa-user"></i></span>
                <input type="text" class="form-control" name="username" placeholder="Username" required="required">
            </div>
        </div>
        <div class="form-group">
            <div class="input-group">
                <span class="input-group-addon"><i class="fa fa-lock"></i></span>
                <input type="password" class="form-control" name="password" placeholder="Password" required="required">
            </div>
        </div>
        <div class="form-group">
            <button type="submit" class="btn btn-success btn-block login-btn">Sign in</button>
        </div>
        <div class="d-flex align-items-center justify-content-center">
            <!-- <label class="pull-left checkbox-inline"><input type="checkbox"> Remember me</label> -->
            <!-- <a href="#" class="pull-right text-success">Forgot Password?</a> -->
            <a href="#" class="text-success">Forgot Password?</a>
        </div>

    </form>
    <div class="hint-text small text-danger">Don't have an account? <a href="{% url 'accounts:register' %}"
            class="text-secondary">Register Now!</a></div>
    {% endblock%}

accounts/templates/accounts/logout.html
{% extends 'base.html' %}

{% block content %}
<div class="container mt-4">
  <h2>You have successfully logged out</h2>
  <h3>
      <a href="{% url 'accounts:login' %}">Login again</a>
  </h3>
</div>
{% endblock %}

accounts/templates/accounts/register.html
{% extends "base.html"%}
{% load staticfiles %}
{% block css-content%}
<link href="{% static 'accounts/register.css' %}" rel="stylesheet">
{% endblock %}
<!-- {#% load crispy_forms_tags %#} -->
{% block content%}
<!-- <div class="d-flex justify-content-center align-items-center">
    <form method="post">
        {#% csrf_token %#}
        <fieldset class="form-group">
            <legend class="border-bottom mb-4">Join Today</legend>
            {#{ form|crispy }#}
        </fieldset>
        <div class="form-group">
            <button type="submit" class="btn btn-outline-info">Sign Up</button>
        </div>
    </form>
</div>
<div class="border-top pt-3 d-flex justify-content-center align-items-center">
    <small class="text-muted">
        Already have an account? <a href="{#% url 'accounts:login' %#}" class="ml-2">Sign in</a>
    </small>
</div> -->
<div class="register-form">
    <form method="post">
        {% csrf_token %}
        <fieldset class="form-group text-center">
            <legend class="border-bottom mb-4">Join Today</legend>
        </fieldset>
        <div class="form-group">
            <div class="input-group">
                <span class="input-group-addon"><i class="fa fa-user"></i></span>
                <input type="text" class="form-control" name="username" placeholder="Username" required="required"
                    value="{{request.POST.username}}">
            </div>
        </div>
        <div class="form-group">
            <div class="input-group">
                <span class="input-group-addon"><i class="fa fa-envelope"></i></span>
                <input type="text" class="form-control" name="email" placeholder="Email" required="required" value="{{request.POST.email}}">
            </div>
        </div>
        <div class="form-group">
            <div class="input-group">
                <span class="input-group-addon"><i class="fa fa-lock"></i></span>
                <input type="password" class="form-control" name="password1" placeholder="Password" required="required">
            </div>
        </div>
        <div class="form-group">
            <div class="input-group">
                <span class="input-group-addon"><i class="fa fa-lock"></i></span>
                <input type="password" class="form-control" name="password2" placeholder="Confirm Password"
                    required="required">
            </div>
        </div>
        <div class="form-group">
            <button type="submit" class="btn btn-success btn-block register-btn">Sign up</button>
        </div>
    </form>
</div>
<div class="border-top pt-3 d-flex justify-content-center align-items-center">
    <small class="text-muted">
        Already have an account? <a href="{% url 'accounts:login' %}" class="ml-2">Sign in</a>
    </small>
</div>
{% endblock%}